Bug 183432 - include embolden font feature into OOo
include embolden font feature into OOo
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: FutureFeature, i18n, Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-02-28 20:37 EST by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.0.2-5
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-02 04:31:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screesnshot of synthetic emboldening working in gtkhtml (84.05 KB, image/png)
2006-02-28 20:37 EST, Lawrence Lim
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 18285 None None None Never

  None (edit)
Description Lawrence Lim 2006-02-28 20:37:49 EST
Description of problem:
Hello, was wondering if it is possible for OOo to recognise the embolden font
feature in fontconfig. It will allow the display of CJKI characters nicely in
bold without the real bold fonts.

 At the moment,when c'n'p bold font into writer, it is displayed as normal font,
however, during printing, it prints out bold properly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.copy and paste the following text from the URL into writer
2.print the document in writer
Actual results:
display normal but print in bold

Expected results:
display bold and print in bold

Additional info:
Comment 1 Lawrence Lim 2006-02-28 20:37:50 EST
Created attachment 125435 [details]
screesnshot of synthetic emboldening working in gtkhtml
Comment 2 Caolan McNamara 2006-03-01 04:35:24 EST
http://qa.openoffice.org/issues/show_bug.cgi?id=18285 this was supposed to work
out of the box with 2.0.2. 2.0.2 is now in fc5, I guess that this problem still
exists and needs investigation ?
Comment 3 Caolan McNamara 2006-03-01 05:01:25 EST
Yeah, I think we're super cool looking in 2.0.2 now in fc5.
Comment 4 Lawrence Lim 2006-03-01 18:44:04 EST
Sweet...works perfectly in openoffice.org-core-2.0.2-5.1.2. So many people is
going to benefit from this feature. :-)

By the way, is there any bugs that takes you are more than 5 mins to fix. ;-)

Thank you so much.
Comment 5 Caolan McNamara 2006-03-02 03:38:18 EST
oh, I didn't fix this one. The trick is to be like a tv cook and just "have one
prepared earlier"
Comment 6 Satyabrata Maitra 2006-08-01 02:52:17 EDT
Hello Caolan

I am reopening this bug as after testing on curent rawhide, I found the bug
existance. If you like me to open a new bug for this one as this time both
showing and printing has problem, Please imform.

Bug : ooimpress does not show and print the embolden texts, copied and pasted  
      from other files. It shows and prints like Normal text.

Version-Release number of selected component :
Fedora Core release 5.91 (FC6 Test2)

How Reproducable :

Steps to reproduce :

1. Run command LANG=ko_KR.UTF-8 ooimpress & (like this for all CJKI Langs)
2. Open either http://www.ko.wikipedia.org, or like http://www.ja.wikipedia.org 
   like this or www.bbc.co.uk/hindi, like this
3. Copy and paste the bold chars along with normal chars from the website to 
4. Observe how the bold chars pasted, is showing.
5. Print it
6. Observe the print result.

Actual Result :

Bold chars pasted, are neither showing bold nor printing bold.

Expected Result :

All the bold chars pasted from the website should show and print bold.
Comment 7 Caolan McNamara 2006-08-02 04:31:13 EDT
caolanm->smaitra: Can you check something for me. Is it that actually when you
paste into impress that the bold *attribute* is not included when pasting. Or is
it that the attribute is *bold* but has no visual effect.

i.e. paste into impress and select the pasted text and then use the bold button
to toggle bold on and off. If using bold to toggle bold on, and off shows a
difference between the two states, then the emboldening is working, except that
impress isn't actually importing the html bold attribute when pasting from
firefox, which would make it a different problem that this.

Another thing to check, is to paste into writer from firefox, if the bold is
correct in writer, then select that text and paste into impress. I'm fairly
confident that it's such an import of bold attribute problem, rather than this
"use emboldening if the font doesn't support it" feature.
Comment 8 Satyabrata Maitra 2006-08-02 09:52:55 EDT
Hi Caolan

I tested as you said to test. Firstly what u told me to check, I checked, Result
is  :

Yes, if i paste a line or word which is bold in firefox to impress, its shows
normal, and if i select the pasted word in impress, its properties shows that it
is not Bold. and after that if i click on Bold icon, it makes the word Bold and
then shows the word Bold with more deeper ink. 

2nd thing u told me to check...   Result is :

Yes, If I paste any bold word or line from firefox, to writer first and then
again copy and paste it from writer to impress, the Bold fonts show Bold in
impress. And if i select the word and click on bold icon, then it shows Normal.
That means it paste the Bold font as Bold this time. Surprising!! Now Please
tell me what to do with this bug as it is closed Now. Will I reopen the bug or 
file a new bug? Confusing for me really!!!!
Comment 9 Caolan McNamara 2006-08-02 10:01:06 EDT
Leave this bug closed then. The problem originally discussed here remains fixed.
Which is that OOo was not able to *show* bold for some fonts which did not have
true bold font-faces. That was resolved, and appears to continue to work.

Your problem is that the "edit-engine", which is used by impress and calc, but
*not* by writer is not able to import html correctly. This problem I've logged
upstream as http://www.openoffice.org/issues/show_bug.cgi?id=68069 so it's
logged now.

Note You need to log in before you can comment on or make changes to this bug.